#!/home/stettberger/bin/haserl -s /bin/bash
<? source ./rc 
   source ./common.sh?>Content-Type: text/html

<?
content() {
  PATH_INFO="$(getpath)"
  if [ -n "$FORM_show" -a -n "$FORM_id" ]; then
    echo "<div class='container'>"
    get_git_blob "$FORM_id" "${PATH_INFO#/}" | format_page
    echo '</div>'
  fi
  if [ -n "$FORM_diff" -a -n "$FORM_id" ]; then
    echo "<div class='container'>"
    text=`(cd $DATADIR; git show "$FORM_id" "${PATH_INFO#/}")`
    sed 's/$/<br\/>/; s/^\(\+.*\)$/<font color="green">\1<\/font>/g;
         s/^\(\-.*\)$/<font color="red">\1<\/font>/g;
         s/^\(\@@.*\)$/<font color="magenta">\1<\/font>/g;' <<< "$text"
    echo '</div>'
  fi
  echo "<div class='container'><h1>History of $PATH_INFO</h1>
    <table style='border:thin;border-spacing:5px'>"
  cd $DATADIR
  for commit in `git log --pretty=medium ".$PATH_INFO"`; do
    case $commit in
      commit*) id=${commit#* };;
      Date*) date=${commit#* };;
      Author*|^$) ;;
      *) msg=$commit;;      
    esac
    if [ -n "$id" -a -n "$msg" ]; then
      echo "<tr><td>$msg</td><td>$date</td>
        <td><a href='$SCRIPT_NAME?path=$PATH_INFO&show=1&id=$id'>Show</a></td>
        <td><a href='$SCRIPT_NAME?path=$PATH_INFO&diff=1&id=$id'>Diff</a></td>
        <td><a href='${SCRIPT_NAME/%history.sh/edit.sh}?path=$PATH_INFO&id=$id'>Edit</a></td>"
      id=""
      msg=""
    fi
  done
  echo "</table></div>"
  echo "<div id='ctrlmenu'><a href='${SCRIPT_NAME/%history.sh/show.sh}?path=$PATH_INFO'>Show</a></div>"
}
?>
<?in ./tmpl ?>
