IFS="
"
error() {  echo "<div id='error'><h1>Error:</h1> $1</div>"; }
getpath() {  sed 's/\.\././g; s/\/*$//; s/\/\/*/\//g; s/.cache$//' <<< "$FORM_path"; }
redirect() {  echo -e "Location: $1\n"; exit; }
check_password() { if [ "x$1" != "x$PASSWORD" ]; then return 1; fi; }
format_page() { ./contrib/markdown.pl $*; }

get_git_blob() {
  IFS=" "  blob=( $(cd $DATADIR; git diff-tree "$1" "$2" | sed -n '$p') )
  if [ -n "$blob" ]; then
    (cd $DATADIR; git cat-file blob ${blob[3]})
  fi
}

path_r() {
  if [ ! -d "$DATADIR/$1" ]; then 
    echo "$1"
  else
    for i in `ls "$DATADIR/$1"`; do
      if [ ! -d "$DATADIR/$1/$i" ]; then 
        echo "$1/$i"
        return
      fi
    done
    if [ -z `ls "$DATADIR/$1"` ]; then 
      echo "$1"
    else
      path_r "$1"/`ls "$DATADIR/$1" | line`
    fi
  fi
}

