#!/home/stettberger/bin/haserl -s /bin/bash
<? source ./rc 
   source ./common.sh

if [ -n "$FORM_save" ]; then
  if [ "x$FORM_password" = "x$PASSWORD" ]; then
    ( cd $DATADIR; git rm -f ".$FORM_path" 2>&1 >/dev/null; git commit -m "Removed file $FORM_path";)
    rm -rf "$DATADIR/$FORM_path.cache"
    if [ -e "$DATADIR/$FORM_path" ]; then
      content() { error "Permission denied. Please inform Administrator"; }
      render_immediate=true
    else
      redirect "${SCRIPT_NAME/%remove.sh/show.sh}"
      exit
    fi
  else
    content() { error "Wrong password"; }
    render_immediate=true
  fi
fi ?>Content-Type: text/html

<? if [ -n "$render_immediate" ]; then ?>
<?in ./tmpl ?>
<? exit; fi ?>

<?
content() {
  PATH_INFO="$(getpath)"
  if [ -z "$PATH_INFO" -o "$PATH_INFO" == "/" ]; then
    error "You can't remove the root directory"
    return
  fi
  echo "<div class='container'><h1>$PATH_INFO</h1>"
  echo -n "<form action='`echo -n $SCRIPT_NAME`' method='POST'>"
  echo "<p style='color: red;'>Please confirm to delete '$PATH_INFO'<br/>"
  if [ -d "$DATADIR/$PATH_INFO" ]; then
    echo "<strong>Attetion:</strong>$PATH_INFO is a directory. Removing it
      means also that all its content is removed."
  fi
  echo "</p>Password:"
  echo "<input type='password' name='password'>" 
  echo "<input type='submit' name='save' value='Delete'>" 
  echo "<input type='hidden' name='path' value='$PATH_INFO'>"
  echo "</form></div>"
}
?>

<?in ./tmpl ?>
